toolzerhub API Docs

List TikTok Shop related search terms

Returns the related search terms and category chips shown alongside search results for keyword. region supports US only.

1 credit / requestBilled only on success
GET
/v1/tiktok-shop/search/related-terms

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

keyword*string

Search text, for example a product name.

Length1 <= length
region?"US"

Storefront region. This endpoint supports US. For keyword search in SG/MY/PH/TH/VN, use /v2/tiktok-shop/products/search.

Default"US"

Value in

  • "US"
curl -X GET "https://example.com/v1/tiktok-shop/search/related-terms?keyword=wireless+earbuds" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "search_words": {      "related_links": [        {          "link": "string",          "name": "string",          "property1": null,          "property2": null        }      ],      "property1": null,      "property2": null    },    "categories": {      "related_links": [        {          "link": "string",          "name": "string",          "property1": null,          "property2": null        }      ],      "property1": null,      "property2": null    }  }}